;	SD-PATCH.ASM
;	
;	File to create patch for CP/M version of STARDATE using ASM or MAC
;	Defaults shown are for ADM3A terminal.
;
;	Copyright (c) 1986, Ted A. Campbell
;
;	INSTRUCTIONS FOR PATCHING STARDATE:
;
;	1.  Edit this file, entering the correct values for your terminal
;	or computer.  You << MUST >> enter sequences for clearing the 
;	screen and addressing the cursor.  Sequences for clear-to-end-of-
;	line and other video attributes are << highly >> desirable.
;	
;	2.  Create a HEX file using ASM or MAC:
;	
;		A>asm b:sd-patch    (or)	A>mac b:sd-patch $pz sz
;
;	3.  Patch this HEX file into SD.COM using SID or MLOAD.  Save the
;	resulting file as your new SD.COM.  I have had good luck using 
;	SID, but not DDT, so you may want to use the public-domain
;	utility MLOAD to do the patch under CP/M 2.2.
;
;
;	Org at patch area for STARDATE vers. 1.2 (CP/M version):

	ORG 05BDEh

;	CLEAR THE SCREEN
;	Enter the sequence of codes to clear the screen and home the
;	cursor of your computer.  Default:  ADM3A (Osborne, Kaypro)
;	Use eight characters, and leave nulls to fill any unused
;	characters
	
	DB	01AH,0,0,0,0,0,0,0

;	ADDRESS THE CURSOR
;	Enter the sequence of codes to address the cursor of your 
;	computer.  The codes entered will be followed by the line
;	and column numbers, offset by 32 (20h).  Only "Binary"
;	cursor addressing is supported in this release.  You'll
;	have to write me if you need a CP/M version for an ANSI terminal.
;	Use eight characters, and leave nulls to fill any unused
;	characters
	
	DB	01BH,03DH,0,0,0,0,0,0

;	START VIDEO MODE
;	Some computers and terminals require a sequence of codes to enter
;	a special video mode (for instance, '84 series KayPros).  Enter 
;	the sequence of codes to enter special video mode here.	 This 
; 	will be called before entering inverse video.
;	Use eight characters, and leave nulls to fill any unused
;	characters
	
	DB	0,0,0,0,0,0,0,0

;	END VIDEO MODE
;	If you have entered characters to start video mode, enter here 
;	the sequence of codes to exit this mode.
;	Use eight characters, and leave nulls to fill any unused
;	characters
	
	DB	0,0,0,0,0,0,0,0

;	CLEAR TO THE END OF THE LINE
;	Enter the sequence of codes that will clear from the cursor to
;	the end of the line on your computer or terminal.  You can set
;	this to all nulls if your terminal does not support this feature
;	(e.g., the default ADM3A setting), but the program will operate
;	<< much >> more slowly.
;	Use eight characters, and leave nulls to fill any unused
;	characters
	
	DB	0,0,0,0,0,0,0,0

;	DIM VIDEO
;	If your computer can dim or brighten its screen output, enter
;	the sequence of codes here to dim the screen.  Otherwise, set
;	all eight characters to zeros.
;	Use eight characters, and leave nulls to fill any unused
;	characters

	DB	0,0,0,0,0,0,0,0

;	BRIGHT VIDEO
;	If you entered a sequence to dim the output above, enter here
;	the sequence of characters to brighten the output on your machine.
;	Use eight characters, and leave nulls to fill any unused
;	characters
	
	DB	0,0,0,0,0,0,0,0

;	INVERSE VIDEO
;	If your computer can display in reverse (or inverse) video, enter
;	here the sequence of codes to go to inverse video.  Note:  if a 
;	special video mode is required before going to inverse, enter
;	the codes for it in the VIDEO MODE area above
;	Use eight characters, and leave nulls to fill any unused
;	characters

	DB	0,0,0,0,0,0,0,0

;	NOT INVERSE VIDEO
;	If you entered codes to go to reverse video above, enter the codes 
;	here to end reverse video (return to normal).
;	Use eight characters, and leave nulls to fill any unused
;	characters

	DB	0,0,0,0,0,0,0,0

	END

return to normal).
;	Use eight characters, and leave nulls